Subject: Re: radvd and auto-ipv6 address regression from 2.6.31 to 2.6.34+

From: Brian Haley <[email-masked]>
Date: Mon, 08 Nov 2010 10:54:12 -0500

On 11/06/2010 02:17 AM, Mikael Abrahamsson wrote:
> I would not be surprised if the IPv6 stack on Linux would gain IPv6
> addresses using SLAAC from any interface if it sees RAs on it,
> regardless if these are locally generated or not.
> 
> I guess any Linux device running radvd should turn off autoconf on those
> interface that radvd is acting on?
> 
> net.ipv6.conf.veth0.accept_ra=0 should do the trick?

I believe radvd will turn-on IPv6 forwarding on all the interfaces, at
least it does on Debian in /etc/init.d/radvd, which essentially disables
the reception of RA's for address configuration purposes.  I'm curious
what these values are set to, and if something just got missed.

It might be something specific to veth too, not sure how packets are
copied/looped-back on these devices from the stack.

-Brian